## simple-pv 0.0.6

=== CMakeLists.txt ===
project(simple_pv)
cmake_minimum_required(VERSION 3.18)

include( GNUInstallDirs )

set( CMAKE_CXX_STANDARD 14 )
set(CMAKE_MODULE_PATH "/usr/share/cds-cmake/cmake/Modules;${CMAKE_MODULE_PATH}")
message("${CMAKE_MODULE_PATH}")

set_property(GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS TRUE)

find_package(EPICSBase REQUIRED)

enable_testing()

add_library(simple_pv SHARED simple_pv.cc
        simple_epics.cc
        simple_pv_internal.cc)
target_include_directories(simple_pv PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:include>)
target_link_libraries(simple_pv PUBLIC epics::cas epics::gdd epics::Com epics::ca)

add_library(simple_pv_static STATIC simple_pv.cc
        simple_epics.cc
        simple_pv_internal.cc)
target_include_directories(simple_pv_static PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:include>)
target_include_directories(simple_pv_static PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/include/private)
target_link_libraries(simple_pv_static PUBLIC epics::cas epics::gdd epics::Com epics::ca)


install(FILES include/simple_pv/simple_pv.h include/simple_pv/simple_epics.hh include/simple_pv/shareable_server.hh DESTINATION include/simple_pv)
install(TARGETS simple_pv simple_pv_static
        EXPORT simple_pv_install
        DESTINATION lib)

install( EXPORT simple_pv_install
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/simple_pv
        NAMESPACE simple_pv::
        FILE simple_pvConfig.cmake
)

add_executable(test_simple_pv tests/test_simple_pv.cc)
target_link_libraries(test_simple_pv PUBLIC simple_pv)
target_include_directories(test_simple_pv PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})

add_executable(test_simple_shareable_pv tests/test_simple_shareable_pv.cc)
target_link_libraries(test_simple_shareable_pv PUBLIC simple_pv)
target_include_directories(test_simple_shareable_pv PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})


add_executable(test_rw_ioc tests/test_rw_cas.cc)
target_link_libraries(test_rw_ioc PUBLIC simple_pv)

add_executable(test_c_server tests/test_c_server.c)
target_link_libraries(test_c_server PUBLIC simple_pv)

=== debian/changelog ===
simple-pv (0.0.6-1) unstable; urgency=medium

  * Fix an install issue where shareable_server.hh was not installed
  * Add license blobs to the public headers

 --  <jonathan.hanks@ligo.org>  Mon, 12 May 2025 14:57:15 -0700

simple-pv (0.0.5-1) unstable; urgency=medium

  * Adding code to facilitate sharing Server objects between threads.

 --  <jonathan.hanks@ligo.org>  Mon, 12 May 2025 11:19:22 -0700

simple-pv (0.0.4-1) Unstable; urgency=medium

  * Added a destroyPV interface to the C++ server to remove a PV
  * Added a lock around the update call.

 --  <jonathan.hanks@ligo.org>  Mon, 12 May 2025 09:54:53 -0700

simple-pv (0.0.3-1) unstable; urgency=medium

  * Add a nicer C++ interface for string PVs
  * Always apply the prefix to the channel name
  * The Server object can list the active PVs

 --  <jonathan.hanks@ligo.org>  Wed, 07 May 2025 14:53:32 -0700

simple-pv (0.0.2-1) unstable; urgency=medium

  * Updating the README to show an example of consuming this library via
    cmake.
  * Lowering the CMake version
  * Updating packaging to include dev deps in the dev package

 --  <jonathan.hanks@ligo.org>  Mon, 14 Apr 2025 15:17:48 -0700

simple-pv (0.0.1-2) UNSTABLE; urgency=medium

  * Added pkg-config to the build requirements.
   

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Wed, 13 Nov 2024 09:06:59 -0800

simple-pv (0.0.1-1) unstable; urgency=medium

  * Initial extraction from advligorts

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Tue, 12 Nov 2024 18:52:21 -0800

=== debian/control ===
Source: simple-pv
Section: libs
Priority: optional
Maintainer: Jonathan Hanks <jonathan.hanks@ligo.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 cds-cmake-modules,
 epics-dev,
 epics-seq-dev,
 epics-pcas-dev,
 pkg-config,
Standards-Version: 4.6.2
Homepage: https://git.ligo.org/cds/software/simple_pv
#Vcs-Browser: https://salsa.debian.org/debian/simple-pv
#Vcs-Git: https://salsa.debian.org/debian/simple-pv.git

Package: simple-pv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 simple-pv (= ${binary:Version}),
 cmake,
 cds-cmake-modules,
 epics-dev,
 epics-seq-dev,
 epics-pcas-dev,
 pkg-config,
 ${misc:Depends},
Description: Dev files for the LIGO CDS pCas wrapper
 Simple PV provides a simple interface for creating
 EPICS pCas servers (portable channel access).
 It provides a C and a C++ interface.
 This is the development package.

Package: simple-pv
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Library files for the LIGO CDS pCas wrapper
 Simple PV provides a simple interface for creating
 EPICS pCas servers (portable channel access).
 It provides a C and a C++ interface.
